No puede conectarse a una máquina virtual cuando el certificado de VMMS de Windows Server 2008 Hyper-V ha expirado

Se aplica a: Windows Server 2008 StandardWindows Server 2008 EnterpriseWindows Server 2008 Datacenter

Síntomas


En un equipo basado en Windows Server 2008 que tiene instalado el rol de Hyper-V o en un equipo basado en Microsoft Hyper-V Server 2008, puede experimentar uno de los problemas siguientes:
  • Cuando intenta conectarse a una máquina virtual, recibe el siguiente mensaje de error:
    No se puede conectar a la máquina virtual porque el certificado de autenticación ha expirado o no es válido. ¿Deseas intentar conectarte de nuevo?
  • Al iniciar una máquina virtual, recibe el siguiente mensaje de error:
    Error al inicializar ' VMName '. No se pudo inicializar el sistema remoto de la máquina. Error: ' error no especificado ' (0x80004005). No se pudo encontrar un certificado que se pueda usar. Error: ' error no especificado ' (0x80004005).

Causa


Este problema se produce porque el certificado del servicio de administración de máquinas virtuales (VMMS) de Hyper-V ha expirado.

Resolución


Información de Service Pack

Para resolver este problema, obtenga el Service Pack más reciente para Windows Server 2008. Para obtener más información, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
968849 Cómo obtener la versión más reciente del Service Pack para Windows Server 2008

Información de la actualización

El siguiente archivo está disponible para descargarlo desde el centro de descarga de Microsoft: Actualización para Windows Server 2008 x64 Edition (KB967902) Download Descargue ahora el paquete 967902. Para obtener más información sobre cómo descargar los archivos de soporte técnico de Microsoft, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
119591 Cómo obtener archivos de soporte técnico de Microsoft desde los servicios en línea
Microsoft examinó este archivo en busca de virus. Microsoft usó el software de detección de virus más reciente que había disponible en la fecha en la que se publicó el archivo. El archivo está guardado en servidores de seguridad mejorada que ayudan a prevenir cambios no autorizados del archivo.

Requisitos previos

Antes de aplicar esta actualización, se debe instalar la versión de lanzamiento de Hyper-V. Para obtener más información, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
950050 Descripción de la actualización para la versión de lanzamiento de la tecnología Hyper-V para Windows Server 2008

Requisito de reinicio

Debe reiniciar el equipo después de aplicar esta actualización

Información de reemplazo de la actualización

Esta actualización no sustituye a otras actualizaciones.

Información sobre los archivos

La versión en inglés de esta actualización tiene los atributos de archivo mostrados (u otros posteriores) en la siguiente tabla. Las fechas y las horas de estos archivos se muestran según la hora universal coordinada (UTC). Cuando vea la información de archivo, esta se convertirá a la hora local. Para conocer la diferencia entre la hora UTC y la hora local, use la pestaña Zona horaria del elemento Fecha y hora del Panel de control.

Notas de Windows Server 2008

Los archivos. manifest y los archivos. Mum instalados en cada entorno se muestran por separado en la sección "información adicional de archivos para Windows Server 2008". Estos archivos y los archivos. cat (catálogo de seguridad) asociados son esenciales para mantener el estado del componente actualizado. Los archivos. cat están firmados con una firma digital de Microsoft. Los atributos de estos archivos de seguridad no aparecen en la lista.Para todas las versiones basadas en x64 compatibles de Windows Server 2008
Nombre de archivoVersión del archivoTamaño del archivoFechaHoraPlataforma
Vmms.exe6.0.6001.223833.878.40021-Feb-200906:17x64
Vmwp.exe6.0.6001.223833.526.14421-Feb-200906:17x64
La revisión también contiene la versión GDR para todas las versiones basadas en x64 compatibles de Windows Server 2008
Nombre de archivoVersión del archivoTamaño del archivoFechaHoraPlataforma
Vmms.exe6.0.6001.182213.878.81621-Feb-200905:06x64
Vmwp.exe6.0.6001.182213.526.12021-Feb-200905:06x64
Después de instalar esta actualización, el certificado de VMMS de Hyper-V se puede renovar automáticamente cuando haya expirado.

Solución alternativa


Para solucionar este problema, puede generar un nuevo certificado. Para ello, siga estos pasos:
  1. Apague o guarde todas las máquinas virtuales.
  2. Reinicie los VMMS de Hyper-V.
  3. Inicie las máquinas virtuales.
Nota Dado que el certificado de VMMS de Hyper-V es válido durante un año, se debe aplicar la actualización para evitar que se produzca este problema en el futuro.

Estado


Microsoft ha confirmado que se trata de un problema de los productos de Microsoft enumerados en la sección "Se aplica a".

Más información


Para determinar la fecha de expiración del certificado autofirmado del servicio VMM de Hyper-V, siga estos pasos:
  1. Haga clic en Inicio , haga clic en Ejecutar , escriba MMC y, a continuación, haga clic en Aceptar.
  2. En el menú Archivo, haga clic en Agregar o quitar complemento.
  3. Haga clic en certificados y, después, en Agregar.
  4. Haga clic en cuenta de servicio y, a continuación, en siguiente.
  5. Haga clic en equipo local y, a continuación, en siguiente.
  6. Haga clic en Administración de máquinas virtuales de Hyper-V y, a continuación, en Finalizar.
  7. Haga clic en Aceptar para cerrar la ventana Agregar o quitar complemento.
  8. Expanda certificados-servicio, expanda Vmms\Personal y, a continuación, haga clic en certificados.
  9. Haga doble clic en el certificado de servicio VMM y, a continuación, Compruebe la fecha de expiración en la ventana del certificado de servicio VMM.
Para obtener más información acerca de la terminología de la actualización de software, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
824684 Descripción de la terminología estándar utilizada para describir las actualizaciones de software de Microsoft

Información adicional de archivos para Windows Server 2008

Archivos adicionales para todas las versiones basadas en x64 compatibles de Windows Server 2008
Nombre de archivoVersión del archivoTamaño del archivoFechaHoraPlataforma
Amd64_microsoft-hyper-v-vstack-vmms_31bf3856ad364e35_6.0.6001.22383_none_92eac53930a5ec97.manifestNot Applicable249.72321-Feb-200906:38Not Applicable
Amd64_microsoft-hyper-v-vstack-vmwp_31bf3856ad364e35_6.0.6001.22383_none_91954bdf3181df4c.manifestNot Applicable192.58721-Feb-200906:37Not Applicable
Package_for_kb967902_sc_0_bf~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1,50521-Feb-200914:39Not Applicable
Package_for_kb967902_sc_0~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1.52921-Feb-200914:38Not Applicable
Package_for_kb967902_sc_bf~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1.41121-Feb-200914:39Not Applicable
Package_for_kb967902_sc~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1.43121-Feb-200914:38Not Applicable
Package_for_kb967902_server_0_bf~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1.50921-Feb-200914:39Not Applicable
Package_for_kb967902_server_0~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1,53221-Feb-200914:38Not Applicable
Package_for_kb967902_server_bf~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1.41921-Feb-200914:39Not Applicable
Package_for_kb967902_server~31bf3856ad364e35~amd64~~6.0.1.0.mumNot Applicable1.43921-Feb-200914:38Not Applicable
Update-bf.mumNot Applicable1.77121-Feb-200914:39Not Applicable